Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.daemon.support
Class DaemonLoader.Controller

    java.lang.Object
      org.apache.commons.daemon.support.DaemonLoader.Controller

All Implemented Interfaces:
  DaemonController

Enclosing class:
  DaemonLoader

    public static class DaemonLoader.Controller

extends java.lang.Object
implements DaemonController

Method Summary
`void` | `fail()` Shudown daemon and log failed message.
`void` | `fail(java.lang.Exception exception)` Shudown daemon and log failed message.
`void` | `fail(java.lang.String message)` Shudown daemon and log failed message.
`void` | `fail(java.lang.String message, java.lang.Exception exception)` Shudown daemon and log failed message.
`void` | `reload()` Reload daemon
`void` | `shutdown()` Shutdown the daemon.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### shutdown

    public void shutdown()
                  throws java.lang.IllegalStateException

  Description copied from interface: `DaemonController`
  Shutdown the daemon.

  Specified by:
    `shutdown` in interface `DaemonController`
  Throws:
    `java.lang.IllegalStateException`

### reload

    public void reload()
                throws java.lang.IllegalStateException

  Description copied from interface: `DaemonController`
  Reload daemon

  Specified by:
    `reload` in interface `DaemonController`
  Throws:
    `java.lang.IllegalStateException`

### fail

    public void fail()

  Description copied from interface: `DaemonController`
  Shudown daemon and log failed message.

  Specified by:
    `fail` in interface `DaemonController`

### fail

    public void fail(java.lang.String message)

  Description copied from interface: `DaemonController`
  Shudown daemon and log failed message.

  Specified by:
    `fail` in interface `DaemonController`

### fail

    public void fail(java.lang.Exception exception)

  Description copied from interface: `DaemonController`
  Shudown daemon and log failed message.

  Specified by:
    `fail` in interface `DaemonController`

### fail

    public void fail(java.lang.String message,
                     java.lang.Exception exception)

  Description copied from interface: `DaemonController`
  Shudown daemon and log failed message.

  Specified by:
    `fail` in interface `DaemonController`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002-2011 - Apache Software Foundation